Upstream information

CVE-2016-10002 at MITRE

Description

Incorrect processing of responses to If-None-Modified HTTP conditional requests in Squid HTTP Proxy 3.1.10 through 3.1.23, 3.2.0.3 through 3.5.22, and 4.0.1 through 4.0.16 leads to client-specific Cookie data being leaked to other clients. Attack requests can easily be crafted by a client to probe a cache for this information.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 4.3
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entry: 1016168 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • squid >= 4.8-2.17
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • squid >= 4.4-5.3.2
SUSE Linux Enterprise Module for Server Applications 15
  • squid >= 4.0.23-3.47
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • squid3 >= 3.1.23-8.16.36.1
Patchnames:
slessp4-squid3-12934
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • squid >= 3.3.14-22.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-57
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • squid >= 3.5.21-25.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-67
SUSE Linux Enterprise Server 12 SP3
  • squid >= 3.5.21-25.1
SUSE Linux Enterprise Server 12 SP4
  • squid >= 3.5.21-26.9.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • squid >= 3.5.21-25.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-67
openSUSE Leap 42.1
  • squid >= 3.3.14-12.1
  • squid-debuginfo >= 3.3.14-12.1
  • squid-debugsource >= 3.3.14-12.1
Patchnames:
openSUSE-2017-127
openSUSE Leap 42.2
  • squid >= 3.5.21-3.1
  • squid-debuginfo >= 3.5.21-3.1
  • squid-debugsource >= 3.5.21-3.1
Patchnames:
openSUSE-2017-115
openSUSE Leap 42.3
  • squid >= 3.5.21-6.4
Patchnames:
openSUSE Leap 42.3 GA squid


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 11 SP1 squid Not affected
SUSE Linux Enterprise Server 11 SP1 squid3 Released
SUSE Linux Enterprise Server 11 SP3 squid Not affected
SUSE Linux Enterprise Server 11 SP3 squid3 Released
SUSE Linux Enterprise Server 11 SP4 squid Not affected
SUSE Linux Enterprise Server 11 SP4 squid3 Released
SUSE Linux Enterprise Server 12 SP1 squid Released
SUSE Linux Enterprise Server 12 SP2 squid Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 squid Already fixed
SUSE Linux Enterprise Server for the Raspberry Pi squid Released